<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) ENPC - Jean-Philippe Chancelier
 * Copyright (C) INRIA - Serge Steer
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="locate">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>locate</refname>
    <refpurpose> mouse selection of a set of points</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>x=locate([n,flag])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>matrix of size (2,n1). n1=n if the parameter n is given.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>n,flag</term>
        <listitem>
          <para>integer values.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>locate</literal> is used to get the coordinates of one or more 
    points selected with the mouse in a graphics window. The coordinates 
    are given using the current graphics scale.</para>
    <para>
    If n&gt;0, n points are selected and their coordinates are returned in 
    the matrix <literal>x</literal>.</para>
    <para>
    If n&lt;=0, points are selected until the user clicks with the left button 
    of the mouse which stands for stop. The last point (clicked with the left 
    button) is not returned.</para>
    <para>
    x=locate() is the same as <literal>x=locate(-1)</literal>.</para>
    <para>
    If <literal>flag=1</literal> a cross is drawn at the points where the mouse is clicked.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="xclick">xclick</link>
      </member>
      <member>
        <link linkend="xgetmouse">xgetmouse</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>S.S. &amp; J.Ph.C</para>
  </refsection>
</refentry>
